Skip to main content
PATCH
/
api
/
v2
/
platform
/
promotion_rules
/
{id}
Update a Promotion Rule
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({promotion_rule: {type: 'Spree::Promotion::Rules::Country'}})
};

fetch('http://{defaultHost}/api/v2/platform/promotion_rules/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "data": {
    "id": "8",
    "type": "promotion_rule",
    "attributes": {
      "type": "Spree::Promotion::Rules::Country",
      "created_at": "2022-11-08T19:35:01.723Z",
      "updated_at": "2022-11-08T19:35:01.953Z",
      "code": null,
      "preferences": {}
    },
    "relationships": {
      "promotion": {
        "data": {
          "id": "19",
          "type": "promotion"
        }
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

include
string

Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes

Body

application/json
promotion_rule
object
required

Response

Record updated

data
object
required